FOR /F "tokens=* USEBACKQ" %%F IN (`reg query 
"HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\NetworkCards"`) DO (
SET var=%%F
)
ECHO %var%


for /f "tokens=3" %%a in ('reg query "%var%"  /V ServiceName  ^|findstr /ri 
"REG_SZ"') DO (
SET ServiceName=%%a
)
ECHO %ServiceName%
explorer shell:::{208D2C60-3AEA-1069-A2D7-08002B30309D}\::{7007ACC7-3202-11D1-AAD2- 
00805FC1270E}\::%ServiceName%